Create an Apple Identity Access CSR
Roles
Analytics Events
/v2/presentations/certificates/apple-identity-access-certificatesCreates an Apple Identity Access Certificate Signing Request (CSR) that can be uploaded to the Apple Developer Portal.
This certificate contains the public key that will be used to decrypt the response from the Apple Wallet.
Analytic events
- CREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_CREATE_START
- CREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_CREATE_SUCCESS
- CREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
Apple Identity Access CSR payload
Team ID of the iOS app.
The merchantIdentifier used by PassKit to retrieve credential data.
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/presentations/certificates/apple-identity-access-certificates" \ -H "Content-Type: application/json" \ -d '{ "teamId": "A2B3C4D5E6", "merchantId": "com.domain.subdomain" }'{
"id": "fd44e792-45ac-11f0-bef8-bb24f133065e",
"teamId": "A2B3C4D5E6",
"merchantId": "com.domain.subdomain",
"csrPem": "string"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete a Verification request signer DELETE
Deletes a Verification request signer. Only available in implementations using unmanaged (external) Verifier root CA certificates. ### **Analytic events** * CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_DELETE_START * CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_DELETE_SUCCESS * CREDENTIAL_PRESENTATION_VERIFIER_SIGNER_CERTIFICATE_DELETE_FAIL
Retrieve all Apple Identity Access CSRs GET
Retrieves all Apple Identity Access CSRs created by the tenant. ### **Analytic events** * CREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_RETRIEVE_LIST_START * CREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_RETRIEVE_LIST_SUCCESS * CREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_RETRIEVE_LIST_FAIL